import request from '@/utils/request'

// 查询二级分类列表
export function listSupplies(query) {
  return request({
    url: '/Actsupplies/Actsupplies/list',
    method: 'get',
    params: query
  })
}

// 查询一级分类列表
export function listSuppliesOne(query) {
    return request({
        url: '/Actsupplies/Actsupplies/listOne',
        method: 'get',
        params: query
    })
}

// 查询物料关系管理详细
export function getSupplies(id) {
  return request({
    url: '/Actsupplies/Actsupplies/' + id,
    method: 'get'
  })
}

//查询上级ID
export function getPid() {
  return request({
    url: '/Actsupplies/Actsupplies/options',
    method: 'get'
  })
}

// 新增物料关系管理
export function addSupplies(data) {
  return request({
    url: '/Actsupplies/Actsupplies',
    method: 'post',
    data: data
  })
}

// 修改物料关系管理
export function updateSupplies(data) {
  return request({
    url: '/Actsupplies/Actsupplies',
    method: 'put',
    data: data
  })
}

// 删除物料关系管理
export function delSupplies(id) {
  return request({
    url: '/Actsupplies/Actsupplies/' + id,
    method: 'delete'
  })
}
//启用
  export function toggleEnable(id) {
    return request({
      url: '/Actsupplies/Actsupplies/enable/' +id,
      method: 'get',

    })
  }
//禁用
export function toggleDisable(id) {
  return request({
    url: '/Actsupplies/Actsupplies/disable/' +id,
    method: 'get',

  })
}



export function exportSupplies(query) {
  return request({
    url: '/Actsupplies/Actsupplies/export',
    method: 'get',
    params: query
  })
}

export function exportSuppliesOne(query) {
    return request({
        url: '/Actsupplies/Actsupplies/exportOne',
        method: 'get',
        params: query
    })
}








































// // 查询物料总分类管理列表
// export function listSupplies(query) {
//   return request({
//     url: '/supplies/supplies/list',
//     method: 'get',
//     params: query
//   })
// }
//
// // 查询物料总分类管理详细
// export function getSupplies(id) {
//   return request({
//     url: '/supplies/supplies/' + id,
//     method: 'get'
//   })
// }
//
// // 新增物料总分类管理
// export function addSupplies(data) {
//   return request({
//     url: '/supplies/supplies',
//     method: 'post',
//     data: data
//   })
// }
//
// // 修改物料总分类管理
// export function updateSupplies(data) {
//   return request({
//     url: '/supplies/supplies',
//     method: 'put',
//     data: data
//   })
// }
//
// // 删除物料总分类管理
// export function delSupplies(id) {
//   return request({
//     url: '/supplies/supplies/' + id,
//     method: 'delete'
//   })
// }
//
// // 导出物料总分类管理
// export function exportSupplies(query) {
//   return request({
//     url: '/supplies/supplies/export',
//     method: 'get',
//     params: query
//   })
// }
